import request from '@/utils/request'

// 查询舆情走势图列表
export function listYqzs(query) {
  return request({
    url: '/tcZz/netWorkYq/yqzs/ListNoToken',
    method: 'get',
    params: query
  })
}

// 查询舆情走势图详细
export function getYqzs(id) {
  return request({
    url: '/tcZz/netWorkYq/yqzs/' + id,
    method: 'get'
  })
}

// 新增舆情走势图
export function addYqzs(data) {
  return request({
    url: '/tcZz/netWorkYq/yqzs',
    method: 'post',
    data: data
  })
}

// 修改舆情走势图
export function updateYqzs(data) {
  return request({
    url: '/tcZz/netWorkYq/yqzs',
    method: 'put',
    data: data
  })
}

// 删除舆情走势图
export function delYqzs(id) {
  return request({
    url: '/tcZz/netWorkYq/yqzs/' + id,
    method: 'delete'
  })
}
//通用导入信息
export function importYqzs(data) {
  return request({
    url: '/tcZz/netWorkYq/yqzs/common/importExcel',
    method: 'post',
    data
  })
}